Package org.springframework.http

# Interface ContentDisposition.Builder

Enclosing class:
  ContentDisposition

public static interface ContentDisposition.Builder
A mutable builder for `ContentDisposition`.

## Method Summary

Modifier and Type
Method
Description
`ContentDisposition`
`build()`
Build the content disposition.
`ContentDisposition.Builder`
`creationDate(ZonedDateTime creationDate)`
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.
`ContentDisposition.Builder`
`filename(String filename)`
Set the value of the filename parameter.
`ContentDisposition.Builder`
`filename(String filename, Charset charset)`
Set the value of the `filename` that will be encoded as defined in RFC 5987.
`ContentDisposition.Builder`
`modificationDate(ZonedDateTime modificationDate)`
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.
`ContentDisposition.Builder`
`name(String name)`
Set the value of the name parameter.
`ContentDisposition.Builder`
`readDate(ZonedDateTime readDate)`
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.
`ContentDisposition.Builder`
`size(Long size)`
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.

## Method Details

### name

ContentDisposition.Builder name(@Nullable String name)
Set the value of the name parameter.

### filename

ContentDisposition.Builder filename(@Nullable String filename)
Set the value of the filename parameter. The given filename will be formatted as quoted-string, as defined in RFC 2616, section 2.2, and any quote characters within the filename value will be escaped with a backslash, for example, `"foo\"bar.txt"` becomes `"foo\\\"bar.txt"`.

### filename

ContentDisposition.Builder filename(@Nullable String filename, @Nullable Charset charset)
Set the value of the `filename` that will be encoded as defined in RFC 5987. Only the US-ASCII, UTF-8, and ISO-8859-1 charsets are supported.

Note: Do not use this for a `"multipart/form-data"` request since RFC 7578, Section 4.2 and also RFC 5987 mention it does not apply to multipart requests.

### size

@Deprecated ContentDisposition.Builder size(@Nullable Long size)
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.
Set the value of the size parameter.

### creationDate

@Deprecated ContentDisposition.Builder creationDate(@Nullable ZonedDateTime creationDate)
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.
Set the value of the creation-date parameter.

### modificationDate

@Deprecated ContentDisposition.Builder modificationDate(@Nullable ZonedDateTime modificationDate)
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.
Set the value of the modification-date parameter.

### readDate

@Deprecated ContentDisposition.Builder readDate(@Nullable ZonedDateTime readDate)
Deprecated.
since 5.2.3 as per RFC 6266, Appendix B, to be removed in a future release.
Set the value of the read-date parameter.

### build

ContentDisposition build()
Build the content disposition.